<?
session_start();
require_once 'core/system.php';
echo only_reg();
$header = 'Стенка на стенку';
require_once 'core/head.php';
$do = htmlspecialchars(trim($_GET['do']));
//Проверяем есть ли уже открытый бой с игроком
$bc = mysql_fetch_assoc(mysql_query("SELECT `game` FROM `boy_users` WHERE `user` = '$user[id]' AND `end` = '0'"));
if(!empty($bc[game])){
header("Location: /grupboy.php?id=$bc[game]");
}
//
if(isset($_GET['nousers'])){
echo "<div class='block_zero'>
К сожалению, за указанное время не набралось 2 человека :(
</div>";
}
echo "<div class='block_zero'>
<a href='?do=create'> Создать комнату</a><br/>
</div>";
switch($do){
default:
$sql = mysql_query("SELECT * FROM `boy_game` ORDER BY `id` DESC");
if(!mysql_num_rows($sql)){
echo "<div class='block_zero'>
Доступных арен нет
</div>";
}
while($a = mysql_fetch_assoc($sql)){
$c = mysql_num_rows(mysql_query("SELECT `id` FROM `boy_users` WHERE `game` = '$a[id]'"));
$u = mysql_fetch_assoc(mysql_query("SELECT `nick` FROM `user` WHERE `id` = '$a[user]'"));
echo "<div class='block_zero'>";
if($a[type] == 'start')$st = '[идет набор]';
if($a[type] == 'game')$st = '[идет игра]';
echo "<a href='/grupboy.php?id=$a[id]'> Комната $u[nick]</a> $st<br/>
В комнате: $c чел.
</div>";
}
break;

case 'create':
$c = mysql_num_rows(mysql_query("SELECT `id` FROM `boy_users` WHERE `user` = '$user[id]' AND `end` = '0'"));
if($c > 0){
echo "<div class='block_zero'>Сначала окончи прошлый бой. Друзей бросать не хорошо</div>";
}else{
if(isset($_POST[cr])){
$time = abs(intval($_POST['time']));
$t = time()+($time*60);
if($time < 0 || $time > 15)echo 'Неверное время ожидания<br>'; 
else{
mysql_query("INSERT INTO `boy_game` SET `user` = '$user[id]', `time` = '$t'");
$id = mysql_insert_id();
mysql_query("INSERT INTO `boy_users` SET `user` = '$user[id]', `game` = '$id'");
header("Location: /grupboy.php?id=$id");
}
}else{
echo '<div class="block_zero"><form action="?do=create" method="post">';
echo 'Время до начала игры (от 3 до 15 минут)<br />';
echo '<input name="time" type="text" size="30" maxlength="2" value="3" />';
echo '<input name="cr" type="submit" value="отправить заявку">
</form></div>';
}
}
break;
}
require_once 'core/foot.php';
?>